#!/bin/bash

# Check if --path argument is provided
if [[ "$#" -lt 2 ]] || [[ "$1" != "--path" ]]; then
  echo "Usage: $0 --path <path-to-apply>"
  exit 1
fi

# Extract the --path value
ROOT_PATH=$2

# Run the Go application with the specified path
go run main.go pref.go standard.go --path "$ROOT_PATH"
